Subject: Re: Please make the LDP docs free in the GNU sense
From: "Michael K. Johnson" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 12 Jun 1995 12:11:20 -0500

Adam J. Richter writes:
>	GNU/Linux is about eliminating the need for proprietary
>software to run a really good operating system, which people can hack
>on, improve and redistribute at will.  I think much of our success in
>comparison to mach and *bsd is due to copyleft, which allows businesses
>to distribute and sometimes develop free software without fear of their
>competitors "going proprietary," at least with the copylefted sections.

I agree.

>	The dirty secret of the LDP is that most of the LDP docs are not
>"free" in the GNU sense.  They almost are, but they prohibit improvement.
>You have to get the authors permission to distribute modified versions,
>which is functionally the same as having no such permission.  

This isn't the dirty secret of the LDP, it was publically
discussed and agreed on when the LDP was founded.  That doesn't
mean that documents are required to make this restriction, but
it was allowed because some authors (myself included at the
time) felt the need for it.

I still feel that the LDP should allow authors to use whatever
copyright they want that allows free unaltered redistribution
of their documents.  However, I have matured a bit since I
wrote the original copyright for the KHG, which most of the
book authors appear to have copied for their own works, and
I no longer feel quite the need to control it.  Then I thought
that my entire reputation in the Linux community was going to
be based on whatever version of the document a reader happened
to see; now I understand that to be untrue.

I will be changing my copyright in further versions so that
(of the pieces I write, anyway) anyone can do anything they
want with them except enforce restrictions that don't occur
in my license on derivative works or call their work the
original document (or imply it).  The two restrictions that
I still feel I must impose are 1) keep the same copyright
on derivative works and 2) include information on how to
get the original in the changed version.

In other words, you can change anything but the copyright
and the "statement of origination"; a paragraph that will
probably be included on the copyright page that will tell
all readers where to get the original.

Oh, and one more restriction, as suggested: you can't call the
derivitive by the name of the original, nor cite me as the
*only* primary author.  Something of that sort.  I'm not sure
how to word it yet.

Adam, if it were required that if you make "copyrightable"
changes (i.e. more than a sentence here and there; the same as
for software, pretty much), you have to *either* get my
permission to distribute those changes under my name *or* list
the authors as "Michael K. Johnson and Yggdrasil, Inc." -- would
that work for you?  That would protect you if I were having
a bad day or decided to hate you for some reason...  :-)

When I have written my new copyright, any LDP author
who chooses will be free to use it for their documents
as well.  I don't guarantee that it will not contain
legal loopholes or anything; my purpose is not to create
a legally watertight copyright but to create a clear
explanations that anyone who is law-abiding can figure
out how to follow.  I don't want to sue anyone, and I
won't unless they so grossly violate my copyright that
I am driven to action.  And that would take a *lot*.

>	That may seem like nitpicking, but the consequences are
>substantial.  If we base any of the documentation to P&P-Linux on the
>LDP docs, the authors of the LDP docs in question can at any time
>prohibit us from making a version for the next release, and we would have to
>rewrite our documentation from scratch.  That is largely why we still
>maintain a separate Plug-and-Play Linux manual.

I don't think it is nitpicking.  I do think that circumstances
have changed somewhat since the original copyright terms were
discussed.  For one thing, it's becoming clear that the GPL and
other free software ideas can make good business sense.

>It is also a violation
>of the GNU General Public License to incorporate excerpts of most LDP docs
>into a copylefted program (because those excerpts carry restrictions
>beyond the GPL).

I don't think the restrictions I outline above would cause a
problem with the GPL.  After all, GNU documents have some
restrictions on them, too -- and they are included in GPL'd
packages released by the FSF.

Besides, what does it mean to "incorporate excerpts [of books]
into a copylefted program"?  I don't think that the KHG would
compile very well.  And the code fragments in it are explicitly
placed under the GPL.

>	I would really like to continue our support of the LDP, and also
>involve the company in actually writing things that get integrated into
>the LDP.  

That would be great.

michaelkjohnson